#pragma once

#include <stdint.h>
#include <hal/gpio_types.h>

constexpr uint32_t serialBaudRate = 115200;

constexpr gpio_num_t wakeupButtonPin = GPIO_NUM_13;
// The time (in seconds) for which the device should stay awake after the button is pressed
// The device also stays awake as long as a bluetooth connection is active
constexpr uint32_t wakeupDurationAfterButtonPress = 30;


constexpr uint32_t temperatureMeasurementIntervalSeconds = 60;
